*Create the cross-sectional tables dataset and save
use idauniq indsex indager dimar scchdm scfaml scfrdl spcar spcara spcarb sptraa wpvw hotran scptruk scptrab scint catno sclddr exlo90 /// spcar spcara spcarb wpactca scchdm scfaml scfrdl scchda scchdb scchdc scfama scfamb scfamc scfrda scfrdb scfrdc ///
hotenu fqethnmr holand wpactca w8w1lwgt w8w4lwgt finstat w8indout samptyp w8xwgt using "E:\ELSA W8\ELSA w8 with weights March 2018.dta", clear
rename fqethnmr fqethnr 
save "E:\Papers\Social Domain Tables Wave 8\Final SD dataset.dta", replace

*MERGE WITH W8 WEALTH
sort idauniq 
merge 1:1 idauniq using "E:\Papers\Area and inequality\Chapter syntax and data\w8 wealth.dta"
drop _merge

*SAVE FINAL X-SECTIONAL DATASET
save "E:\Papers\Social Domain Tables Wave 8\Final SD dataset.dta", replace

*Recode missings into system missings
replace dimar=. if dimar<0
replace catno =. if catno<0
replace spcar =. if spcar<0
replace spcara =. if spcara<0
replace spcarb =. if spcarb<0
replace sptraa =. if sptraa<0
replace wpactca =. if wpactca<0
replace wpvw =. if wpvw <0
replace hotenu =. if hotenu<0
replace holand =. if holand<0
replace hotran =. if hotran<0
replace exlo90 =. if exlo90<0
replace scptruk =. if scptruk<0
replace scptrab =. if scptrab<0
replace scint =. if scint<0
replace scchdm =. if scchdm<0
replace scfaml =. if scfaml<0
replace scfrdl =. if scfrdl<0
replace sclddr =. if sclddr<0
replace fqethnr =. if fqethnr<0


*Recode age into age groups
replace indager=99 if indager==-7
gen agegrp=indager
replace agegrp=1 if indager>=50 & indager<=54
replace agegrp=2 if indager>=55 & indager<=59
replace agegrp=3 if indager>=60 & indager<=64
replace agegrp=4 if indager>=65 & indager<=69
replace agegrp=5 if indager>=70 & indager<=74
replace agegrp=6 if indager>=75 & indager<=79
replace agegrp=7 if indager>=80 & indager<=100
replace agegrp=. if indager<50
label var agegrp "Age group"
label define agegrp 1"50-54" 2"55-59" 3"60-64" 4"65-69" 5"70-74" 6"75-79" 7"80+" 
label values agegrp agegrp


*Recode marital status into broad groups
recode dimar (1=1) (2=2) (3=3) (4=4) (5=4) (6=5)
label define dimar 1"Single" 2"Married or civil partner" 3"Remarried" 4"Divorced or separated" 5"Widowed", replace
label values dimar dimar

*Compute holidays in past 12 months (combine UK and abroad)
gen holidays=.
replace holidays=1 if scptruk==1 | scptrab==1
replace holidays=0 if scptruk==0 & scptrab==0

*Recode social ladder into quintiles
replace sclddr=1 if sclddr>=0 & sclddr<=20
replace sclddr=2 if sclddr>=21 & sclddr<=40
replace sclddr=3 if sclddr>=40 & sclddr<=60
replace sclddr=4 if sclddr>=61 & sclddr<=80
replace sclddr=5 if sclddr>=81 & sclddr<=100
label define sclddr 1"Worst off" 2"2nd worst off" 3"Middle" 4"2nd best off" 5"Best off", replace
label values sclddr sclddr

*Compute number of close relationships with children, family and friends
egen closecon=rowtotal(scchdm scfaml scfrdl)
replace closecon=. if scchdm==.&scfaml==.&scfrdl==.

*Recode internet into a binary variable
recode scint (1=1) (2=1) (3=1) (4=1) (5=1) (6=0)
label define scint 1"Yes" 0"No", replace
label values scint scint

*Recode catno variable
replace catno=1 if catno>=1 & catno<=13


****Tables S1 to S12****
***Unweighted totals by age and sex
*Marital status
tab dimar agegrp if indsex==1
tab dimar agegrp if indsex==2 
*Ethnicity
tab fqethnr agegrp if indsex==1
tab fqethnr agegrp if indsex==2 
*Internet use
tab scint agegrp if indsex==1
tab scint agegrp if indsex==2 
*Holidays
tab holidays agegrp if indsex==1
tab holidays agegrp if indsex==2
*Public transport
tab sptraa agegrp if indsex==1
tab sptraa agegrp if indsex==2
*Private transport (has use)
tab spcar agegrp if indsex==1
tab spcar agegrp if indsex==2
*Private transport (drives themselves)
tab spcara agegrp if indsex==1
tab spcara agegrp if indsex==2
*Private transport (used to drive)
tab spcarb agegrp if indsex==1
tab spcarb agegrp if indsex==2
*Volunteering
tab wpvw agegrp if indsex==1
tab wpvw agegrp if indsex==2
*Caregiving
tab wpactca agegrp if indsex==1
tab wpactca agegrp if indsex==2 
*Receives help with mobility
tab catno agegrp if indsex==1
tab catno agegrp if indsex==2
*Mean contacts
tab closecon agegrp if indsex==1
tab closecon agegrp if indsex==2
*Social standing
tab sclddr agegrp if indsex==1
tab sclddr agegrp if indsex==2
*Living until 85
tab exlo90 agegrp if indsex==1
tab exlo90 agegrp if indsex==2

***Unweighted totals by wealth and sex 
*Marital status
tab dimar wealth if indsex==1
tab dimar wealth if indsex==2 
*Ethnicity
tab fqethnr wealth if indsex==1
tab fqethnr wealth if indsex==2 
*Internet use
tab scint wealth if indsex==1
tab scint wealth if indsex==2 
*Holidays
tab holidays wealth if indsex==1
tab holidays wealth if indsex==2
*Public transport
tab sptraa wealth if indsex==1
tab sptraa wealth if indsex==2
*Private transport
tab spcar wealth if indsex==1
tab spcar wealth if indsex==2
*Private transport (drives themselves)
tab spcara wealth if indsex==1
tab spcara wealth if indsex==2
*Private transport (used to drive)
tab spcarb wealth if indsex==1
tab spcarb wealth if indsex==2
*Volunteering
tab wpvw wealth if indsex==1
tab wpvw wealth if indsex==2
*Caregiving
tab wpactca wealth if indsex==1
tab wpactca wealth if indsex==2 
*Receives help with mobility
tab catno wealth if indsex==1
tab catno wealth if indsex==2
*Mean contacts
tab closecon wealth if indsex==1
tab closecon wealth if indsex==2
*Social standing
tab sclddr wealth if indsex==1
tab sclddr wealth if indsex==2
*Living until 85
tab exlo90 wealth if indsex==1
tab exlo90 wealth if indsex==2

***Weighted tables
*S1a marital status by age and sex
tab dimar agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab dimar agegrp if indsex==2 [aw=w8xwgt], col nofreq
*S1b marital status by wealth and sex
tab dimar wealth if indsex==1 [aw=w8xwgt], col nofreq
tab dimar wealth if indsex==2 [aw=w8xwgt], col nofreq

*S2a Ethnicity by age and sex
tab fqethnr agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab fqethnr agegrp if indsex==2 [aw=w8xwgt], col nofreq
*S2b ethnicity by wealth and sex
tab fqethnr wealth if indsex==1 [aw=w8xwgt], col nofreq
tab fqethnr wealth if indsex==2 [aw=w8xwgt], col nofreq

*S3a internet use by age and sex
tab scint agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab scint agegrp if indsex==2 [aw=w8xwgt], col nofreq
*S3b internet use by wealth and sex
tab scint wealth if indsex==1 [aw=w8xwgt], col nofreq
tab scint wealth if indsex==2 [aw=w8xwgt], col nofreq

*S4a holidays by age and sex
tab holidays agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab holidays agegrp if indsex==2 [aw=w8xwgt], col nofreq
*S4b holidays by wealth and sex
tab holidays wealth if indsex==1 [aw=w8xwgt], col nofreq
tab holidays wealth if indsex==2 [aw=w8xwgt], col nofreq

*S5a uses public transport by age and sex
tab sptraa agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab sptraa agegrp if indsex==2 [aw=w8xwgt], col nofreq
*S5b uses public transport by wealth and sex
tab sptraa wealth if indsex==1 [aw=w8xwgt], col nofreq
tab sptraa wealth if indsex==2 [aw=w8xwgt], col nofreq

*S6a use of private tranport by age and sex
*Has access when needed
tab spcar agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab spcar agegrp if indsex==2 [aw=w8xwgt], col nofreq
*Drives this car
tab spcara agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab spcara agegrp if indsex==2 [aw=w8xwgt], col nofreq
*Used to drive
tab spcarb agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab spcarb agegrp if indsex==2 [aw=w8xwgt], col nofreq
*S6b use of provate transport by wealth and sex
*Has access when needed
tab spcar wealth if indsex==1 [aw=w8xwgt], col nofreq
tab spcar wealth if indsex==2 [aw=w8xwgt], col nofreq
*Drives this car
tab spcara wealth if indsex==1 [aw=w8xwgt], col nofreq
tab spcara wealth if indsex==2 [aw=w8xwgt], col nofreq
*Used to drive
tab spcarb wealth if indsex==1 [aw=w8xwgt], col nofreq
tab spcarb wealth if indsex==2 [aw=w8xwgt], col nofreq

*S7a Volunteering by age and sex
tab wpvw agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab wpvw agegrp if indsex==2 [aw=w8xwgt], col nofreq
*S7b Volunteering by wealth and sex
tab wpvw wealth if indsex==1 [aw=w8xwgt], col nofreq
tab wpvw wealth if indsex==2 [aw=w8xwgt], col nofreq

*S8a providing care by age and sex
tab wpactca agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab wpactca agegrp if indsex==2 [aw=w8xwgt], col nofreq
*S8b providing care by wealth and sex
tab wpactca wealth if indsex==1 [aw=w8xwgt], col nofreq
tab wpactca wealth if indsex==2 [aw=w8xwgt], col nofreq

*S9a receiving help by age and sex
tab catno agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab catno agegrp if indsex==2 [aw=w8xwgt], col nofreq
*S9b receiving help by wealth and sex
tab catno wealth if indsex==1 [aw=w8xwgt], col nofreq
tab catno wealth if indsex==2 [aw=w8xwgt], col nofreq

*S10a close relationships by age and sex
tabstat closecon if indsex==1 [aw=w8xwgt], by(agegrp)
tabstat closecon if indsex==2 [aw=w8xwgt], by(agegrp)
*S10b close relationships by wealth and sex
tabstat closecon if indsex==1 [aw=w8xwgt], by(wealth)
tabstat closecon if indsex==2 [aw=w8xwgt], by(wealth)

*S11a SSS by age and sex
tab sclddr agegrp if indsex==1 [aw=w8xwgt], col nofreq
tab sclddr agegrp if indsex==2 [aw=w8xwgt], col nofreq
*S11b SSS by wealth and sex
tab sclddr wealth if indsex==1 [aw=w8xwgt], col nofreq
tab sclddr wealth if indsex==2 [aw=w8xwgt], col nofreq

*S12a living to 85 by age and sex
tabstat exlo90 if indsex==1 [aw=w8xwgt], by(agegrp)
tabstat exlo90 if indsex==2 [aw=w8xwgt], by(agegrp)
*S12b living to 85 by wealth and sex
tabstat exlo90 if indsex==1 [aw=w8xwgt], by(wealth)
tabstat exlo90 if indsex==2 [aw=w8xwgt], by(wealth)



