***********Create datasets for each wave to merge***********

***Wave 8
use idauniq indsex indager dimar sptraa wpvw hotran scptruk scptrab scint catno sclddr exlo90 ///
fqethnr spcar spcara spcarb wpactca scchdm scfaml scfrdl scchda scchdb scchdc scfama scfamb scfamc scfrda scfrdb scfrdc ///
hotenu holand w8w1lwgt w8w4lwgt finstat w8indout samptyp using "F:\ELSA W8\FINAL WAVE 8.dta", clear
rename indsex sex8
rename indager age8
rename dimar marital8
rename scint internet8
rename sptraa transport8
rename spcar car8
rename wpvw volunteer8
rename wpactca care8
rename scptruk scukhol8 
rename scptrab scabhol8
rename sclddr sclddr8
rename exlo90 exlo8
rename samptyp sampsta8
rename finstat finstat8
rename holidays holidays8
rename wealth wealth8
*Compute holidays
gen holidays=.
replace holidays=1 if scptruk==1 | scptrab==1
replace holidays=0 if scptruk==0 & scptrab==0
label var holidays "Holiday in last year"
label define holidays 0"No" 1"Yes", replace
label values holidays holidays
save "F:\Papers\Social Domain Tables Wave 8\Wave 8.dta", replace


***Wave 7
use idauniq DhSex indager DiMar SpTraA WpVW HoTran scptr3 scptr4 scint CaTNo sctvth sctvtm sclddr ExLo90 ///
Fqethnr SPCar SPCarA SPCarB wpactca scchdm scfaml scfrdl scchda scchdb scchdc scfama scfamb scfamc scfrda scfrdb scfrdc ///
HoTenu HoLand w7xwgt w7scwt w7lwgt finstatw7 w7indout samptyp using "F:\ELSA waves 1-6 STATA\wave 7.dta", clear
*Merge with wealth
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 7\WAVE 7 WEALTH.dta"
drop _merge
rename DhSex sex7
rename indager age7
rename DiMar marital7
rename scint internet7
rename SpTraA transport7
rename SPCar car7
rename WpVW volunteer7
rename wpactca care7
rename scptr3 scukhol7 
rename scptr4 scabhol7
rename sclddr sclddr7
rename ExLo90 exlo7
rename samptyp sampsta7
rename finstatw7 finstat7
rename holidays holidays7
rename totwq5_bu_s wealth7
*Compute holidays
gen holidays=.
replace holidays=1 if scptr3==1 | scptr4==1
replace holidays=0 if scptr3==0 & scptr4==0
label var holidays "Holiday in last year"
label define holidays 0"No" 1"Yes", replace
label values holidays holidays
save "F:\Papers\Social Domain Tables Wave 8\Wave 7.dta", replace


***Wave 6
use idauniq DhSex indager DiMar SpTraA WpVW HoTran scptr3 scptr4 scint sclddr ExLo90 ///
Fqethnr SPCar SPCarA SPCarB wpactca ///
HoTenu HoLand w6xwgt w6scwt finstatw6 w6indout samptyp using "F:\ELSA waves 1-6 STATA\wave 6.dta", clear
*Merge with wealth
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\w6 wealth.dta"
drop _merge
rename DhSex sex6
rename indager age6
rename DiMar marital6
rename scint internet6
rename SpTraA transport6
rename SPCar car6
rename WpVW volunteer6
rename wpactca care6
rename scptr3 scukhol6 
rename scptr4 scabhol6
rename sclddr sclddr6
rename ExLo90 exlo6
rename samptyp sampsta6
rename finstatw6 finstat6
rename holidays holidays6
*Compute holidays
gen holidays=.
replace holidays=1 if scptr3==1 | scptr4==1
replace holidays=0 if scptr3==0 & scptr4==0
label var holidays "Holiday in last year"
label define holidays 0"No" 1"Yes", replace
label values holidays holidays
save "F:\Papers\Social Domain Tables Wave 8\Wave 6.dta", replace


*Wave 5
use idauniq dhsex indager dimar sptraa wpvw scpt03 scpt04 scpt06 sclddr exlo90 ///
spcar spcara spcarb wpactca ///
hotenu holand w5xwgt w5scwt finstatw5 w5indout samptyp using "F:\ELSA waves 1-6 STATA\wave 5.dta", clear
*Merge with wealth
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\w5 wealth.dta"
drop _merge
rename dhsex sex5
rename indager age5
rename dimar marital5
rename scpt06 internet5
rename sptraa transport5
rename spcar car5
rename wpvw volunteer5
rename wpactca care5
rename scpt03 scukhol5 
rename scpt04 scabhol5
rename sclddr sclddr5
rename exlo90 exlo5
rename samptyp sampsta5
rename finstatw5 finstat5
rename holidays holidays5
*Compute holidays
gen holidays=.
replace holidays=1 if scpt03==1 | scpt04==1
replace holidays=0 if scpt03==0 & scpt04==0
label var holidays "Holiday in last year"
label define holidays 0"No" 1"Yes", replace
label values holidays holidays
save "F:\Papers\Social Domain Tables Wave 8\Wave 5.dta", replace


*Wave 4
use idauniq dhsex indager dimar sptraa wpvw scpt03 scpt04 scpt06 sclddr exlo90 ///
spcar spcara spcarb wpactca ///
hotenu holand w4xwgt w4scwt finstat4 outindw4 samptyp using "F:\ELSA waves 1-6 STATA\wave 4.dta", clear
*Merge with wealth
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\w4 wealth.dta"
drop _merge
rename dhsex sex4
rename indager age4
rename dimar marital4
rename scpt06 internet4
rename sptraa transport4
rename spcar car4
rename wpvw volunteer4
rename wpactca care4
rename scpt03 scukhol4 
rename scpt04 scabhol4
rename sclddr sclddr4
rename exlo90 exlo4
rename samptyp sampsta4
rename finstat4 finstat4
rename holidays holidays4
*Compute holidays
gen holidays=.
replace holidays=1 if scpt03==1 | scpt04==1
replace holidays=0 if scpt03==0 & scpt04==0
label var holidays "Holiday in last year"
label define holidays 0"No" 1"Yes", replace
label values holidays holidays
save "F:\Papers\Social Domain Tables Wave 8\Wave 4.dta", replace


*Wave 3
use idauniq dhsex indager dimar sptraa wpvw scpt04 scpt05 scpt07 sclddr exlo90 ///
spcar spcara spcarb wpactca ///
hotenu holand w3xwgt finstat w3indout sampsta using "F:\ELSA waves 1-6 STATA\wave 3.dta", clear
*Merge with wealth
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\w3 wealth.dta"
drop _merge
rename dhsex sex3
rename indager age3
rename dimar marital3
rename scpt07 internet3
rename sptraa transport3
rename spcar car3
rename wpvw volunteer3
rename wpactca care3
rename scpt04 scukhol3 
rename scpt05 scabhol3
rename sclddr sclddr3
rename exlo90 exlo3
rename sampsta sampsta3
rename finstat finstat3
rename holidays holidays3
*Compute holidays
gen holidays=.
replace holidays=1 if scpt04==1 | scpt05==1
replace holidays=0 if scpt04==0 & scpt05==0
label var holidays "Holiday in last year"
label define holidays 0"No" 1"Yes", replace
label values holidays holidays
save "F:\Papers\Social Domain Tables Wave 8\Wave 3.dta", replace



*Wave 2
use idauniq DhSex indager DiMar SPTraA wpvw scpt04 scpt05 scpt07 sclddr ///
SPCar SPCarA wpact1 wpact2 wpact3 wpact4 wpact5 wpact6 ///
hotenu holand w2wgt finstat w2indout sampsta using "F:\ELSA waves 1-6 STATA\wave 2.dta", clear
*Merge with wealth
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\w2 wealth.dta"
drop _merge
renvars, lower 
rename dhsex sex2
rename indager age2
rename dimar marital2
rename scpt07 internet2
rename sptraa transport2
rename spcar car2
rename wpvw volunteer2
rename scpt04 scukhol2 
rename scpt05 scabhol2
rename sclddr sclddr2
rename sampsta sampsta2
rename finstat finstat2
rename holidays holidays2
rename care care2
*Compute holidays
gen holidays=.
replace holidays=1 if scpt04==1 | scpt05==1
replace holidays=0 if scpt04==0 & scpt05==0
label var holidays "Holiday in last year"
label define holidays 0"No" 1"Yes", replace
label values holidays holidays
*Compute care variable from wpact variables
gen care=.
replace care=0 if wpact1>0
replace care=1 if wpact1==4
replace care=1 if wpact2==4
replace care=1 if wpact3==4
replace care=1 if wpact4==4
replace care=1 if wpact5==4
replace care=1 if wpact6==4
label var care "Provides care for someone"
label define care 0"No" 1"Yes", replace
label values care care
save "F:\Papers\Social Domain Tables Wave 8\Wave 2.dta", replace


*Wave 1
use idauniq dhsex indager dimar sptraa wpvw scptpa4 scptpa5 scptpa7 sclddr ///
spcar wpact1 wpact2 wpact3 wpact4 wpact5 wpact6 ///
hotenu holand w1wgt asampsta sc_rec indoc finstat using "F:\ELSA waves 1-6 STATA\wave 1.dta", clear
*Merge with wealth
sort idauniq 
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\w1 wealth.dta"
drop _merge
rename dhsex sex1
rename indager age1
rename dimar marital1
rename scptpa7 internet1
rename sptraa transport1
rename spcar car1
rename wpvw volunteer1
rename scptpa4 scukhol1 
rename scptpa5 scabhol1
rename sclddr sclddr1
rename asampsta sampsta1
rename holidays holidays1
rename care care1
rename finstat finstat1
*Compute holidays
gen holidays=.
replace holidays=1 if scptpa4==1 | scptpa5==1
replace holidays=0 if scptpa4==0 & scptpa5==0
label var holidays "Holiday in last year"
label define holidays 0"No" 1"Yes", replace
label values holidays holidays
*Compute care variable from wpact variables
gen care=.
replace care=0 if wpact1>0
replace care=1 if wpact1==4
replace care=1 if wpact2==4
replace care=1 if wpact3==4
replace care=1 if wpact4==4
replace care=1 if wpact5==4
replace care=1 if wpact6==4
label var care "Provides care for someone"
label define care 0"No" 1"Yes", replace
label values care care
save "F:\Papers\Social Domain Tables Wave 8\Wave 1.dta", replace


***Merge all datasets
use "F:\ELSA waves 1-6 STATA\wave_1_core_data_v3.dta", clear
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\Wave 7.dta"
drop _merge
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\Wave 6.dta"
drop _merge
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\Wave 5.dta"
drop _merge
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\Wave 4.dta"
drop _merge
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\Wave 3.dta"
drop _merge
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\Wave 2.dta"
drop _merge
sort idauniq
merge 1:1 idauniq using "F:\Papers\Social Domain Tables Wave 8\Wave 1.dta"
drop _merge
save "F:\Papers\Social Domain Tables Wave 8\Waves 1-8.dta", replace


***Syntax for longitudinal analysis
use "F:\Papers\Social Domain Tables Wave 8\Waves 1-8.dta", clear

*Recode transport into use/don't use
recode transport1 (1=1) (2=1) (3=1) (4=1) (5=0)
recode transport2 (1=1) (2=1) (3=1) (4=1) (5=0)
recode transport3 (1=1) (2=1) (3=1) (4=1) (5=1) (6=0)
recode transport4 (1=1) (2=1) (3=1) (4=1) (5=1) (6=0)
recode transport5 (1=1) (2=1) (3=1) (4=1) (5=1) (6=0)
recode transport6 (1=1) (2=1) (3=1) (4=1) (5=1) (6=0)
recode transport7 (1=1) (2=1) (3=1) (4=1) (5=1) (6=0)
recode transport8 (1=1) (2=1) (3=1) (4=1) (5=1) (6=0)
replace transport1=. if transport1<0
replace transport2=. if transport2<0
replace transport3=. if transport3<0
replace transport4=. if transport4<0
replace transport5=. if transport5<0
replace transport6=. if transport6<0
replace transport7=. if transport7<0
replace transport8=. if transport8<0

*Recode marital status into broad groups
recode marital1 (1=1) (2=2) (3=2) (4=3) (5=3) (6=4)
recode marital2 (1=1) (2=2) (3=2) (4=3) (5=3) (6=4)
recode marital3 (1=1) (2=2) (3=2) (4=2) (5=3) (6=3) (7=4) (8=3) (9=3) (10=4) (11=2)
recode marital4 (1=1) (2=2) (3=2) (4=2) (5=3) (6=3) (7=4) (8=3) (9=3) (10=4) (11=2)
recode marital5 (1=1) (2=2) (3=2) (4=2) (5=3) (6=3) (7=4) (8=3) (9=3) (10=4) (11=2)
recode marital6 (1=1) (2=2) (3=2) (4=2) (5=3) (6=3) (7=4) (8=3) (9=3) (10=4) (11=2)
recode marital7 (1=1) (2=2) (3=2) (4=2) (5=3) (6=3) (7=4) (8=3) (9=3) (10=4) (11=2)
recode marital8 (1=1) (2=2) (3=2) (4=2) (5=3) (6=3) (7=4) (8=3) (9=3) (10=4) (11=2)
label var marital1 "marital status"
label define marital1 1"Single" 2"Married, remarried or civil partner" 3"Divorced or separated" 4"Widowed", replace
label values marital1 marital1
label var marital2 "marital status"
label define marital2 1"Single" 2"Married, remarried or civil partner" 3"Divorced or separated" 4"Widowed", replace
label values marital2 marital2
label var marital3 "marital status"
label define marital3 1"Single" 2"Married, remarried or civil partner" 3"Divorced or separated" 4"Widowed", replace
label values marital3 marital3
label var marital4 "marital status"
label define marital4 1"Single" 2"Married, remarried or civil partner" 3"Divorced or separated" 4"Widowed", replace
label values marital4 marital4
label var marital5 "marital status"
label define marital5 1"Single" 2"Married, remarried or civil partner" 3"Divorced or separated" 4"Widowed", replace
label values marital5 marital5
label var marital6 "marital status"
label define marital6 1"Single" 2"Married, remarried or civil partner" 3"Divorced or separated" 4"Widowed", replace
label values marital6 marital6
label var marital7 "marital status"
label define marital7 1"Single" 2"Married, remarried or civil partner" 3"Divorced or separated" 4"Widowed", replace
label values marital7 marital7
label var marital8 "marital status"
label define marital8 1"Single" 2"Married, remarried or civil partner" 3"Divorced or separated" 4"Widowed", replace
label values marital8 marital8
replace marital1=. if marital1<0
replace marital2=. if marital2<0
replace marital3=. if marital3<0
replace marital4=. if marital4<0
replace marital5=. if marital5<0
replace marital6=. if marital6<0
replace marital7=. if marital7<0
replace marital8=. if marital8<0

*Recode volunteering into once a year and not
recode volunteer1 (1=1) (2=1) (3=1) (4=1) (5=0) (6=0) (-8=.) (-1=.) (-9=.)
recode volunteer2 (1=1) (2=1) (3=1) (4=1) (5=0) (6=0) (-8=.) (-1=.)
recode volunteer3 (1=1) (2=1) (3=1) (4=1) (5=0) (6=0) (-8=.) (-1=.) (-9=.)
recode volunteer4 (1=1) (2=1) (3=1) (4=1) (5=0) (6=0) (-8=.) (-1=.) (-9=.)
recode volunteer5 (1=1) (2=1) (3=1) (4=1) (5=0) (6=0) (-8=.) (-1=.)
recode volunteer6 (1=1) (2=1) (3=1) (4=1) (5=0) (6=0) (-8=.) (-1=.) (-9=.)
recode volunteer7 (1=1) (2=1) (3=1) (4=1) (5=0) (6=0) (-8=.) (-1=.)
recode volunteer8 (1=1) (2=1) (3=1) (4=1) (5=0) (6=0) (-8=.) (-1=.)
label var volunteer1 "Volunteers"
label define volunteer1 1"Volunteers once a year or more" 0"Does not volunteer", replace
label values volunteer1 volunteer1
label var volunteer2 "Volunteers"
label define volunteer2 1"Volunteers once a year or more" 0"Does not volunteer", replace
label values volunteer2 volunteer2
label var volunteer3 "Volunteers"
label define volunteer3 1"Volunteers once a year or more" 0"Does not volunteer", replace
label values volunteer3 volunteer3
label var volunteer4 "Volunteers"
label define volunteer4 1"Volunteers once a year or more" 0"Does not volunteer", replace
label values volunteer4 volunteer4
label var volunteer5 "Volunteers"
label define volunteer5 1"Volunteers once a year or more" 0"Does not volunteer", replace
label values volunteer5 volunteer5
label var volunteer6 "Volunteers"
label define volunteer6 1"Volunteers once a year or more" 0"Does not volunteer", replace
label values volunteer6 volunteer6
label var volunteer7 "Volunteers"
label define volunteer7 1"Volunteers once a year or more" 0"Does not volunteer", replace
label values volunteer7 volunteer7
label var volunteer8 "Volunteers"
label define volunteer8 1"Volunteers once a year or more" 0"Does not volunteer", replace
label values volunteer8 volunteer8

*Recode into age groups
gen agegrp=.
replace agegrp=1 if age1>=50 & age1<=54
replace agegrp=2 if age1>=55 & age1<=59
replace agegrp=3 if age1>=60 & age1<=64
replace agegrp=4 if age1>=65 & age1<=69
replace agegrp=5 if age1>=70 & age1<=74
replace agegrp=6 if age1>=75 & age1<=200
label var agegrp "Age group"
label define agegrp 1"50-54" 2"55-59" 3"60-64" 4"65-69" 5"70-74" 6"75+"
label values agegrp agegrp

*Generate a wave 4 age group variable
gen agegrp_w4=.
replace agegrp_w4=1 if age4>=50 & age4<=54
replace agegrp_w4=2 if age4>=55 & age4<=59
replace agegrp_w4=3 if age4>=60 & age4<=64
replace agegrp_w4=4 if age4>=65 & age4<=69
replace agegrp_w4=5 if age4>=70 & age4<=74
replace agegrp_w4=6 if age4>=75 & age4<=200
label var agegrp_w4 "Age group"
label define agegrp_w4 1"50-54" 2"55-59" 3"60-64" 4"65-69" 5"70-74" 6"75+"
label values agegrp_w4 agegrp_w4

*Recode missing values for each variable
replace sex1=. if sex1<0
replace sex2=. if sex2<0
replace sex3=. if sex3<0
replace sex4=. if sex4<0
replace sex5=. if sex5<0
replace sex6=. if sex6<0
replace sex7=. if sex7<0
replace sex8=. if sex8<0
replace age1=. if age1<0
replace age2=. if age2<0
replace age3=. if age3<0
replace age4=. if age4<0
replace age5=. if age5<0
replace age6=. if age6<0
replace age7=. if age7<0
replace age8=. if age8<0
replace internet1=. if internet1<0
replace internet2=. if internet2<0
replace internet3=. if internet3<0
replace internet4=. if internet4<0
replace internet5=. if internet5<0
replace internet6=. if internet6<0
replace internet7=. if internet7<0
replace internet8=. if internet8<0
replace care1=. if care1<0
replace care2=. if care2<0
replace care3=. if care3<0
replace care4=. if care4<0
replace care5=. if care5<0
replace care6=. if care6<0
replace care7=. if care7<0
replace care8=. if care8<0
replace car1=. if car1<0
replace car2=. if car2<0
replace car3=. if car3<0
replace car4=. if car4<0
replace car5=. if car5<0
replace car6=. if car6<0
replace car7=. if car7<0
replace car8=. if car8<0

*Recode internet6 and internet7 into binary variables
recode internet6 (1=1) (2=1) (3=1) (4=1) (5=1) (6=0)
recode internet7 (1=1) (2=1) (3=1) (4=1) (5=1) (6=0)
recode internet8 (1=1) (2=1) (3=1) (4=1) (5=1) (6=0)
label var internet6 "Uses the internet"
label define internet6 1"Yes" 0"No", replace
label values internet6 internet6
label var internet7 "Uses the internet"
label define internet7 1"Yes" 0"No", replace
label values internet7 internet7
label var internet8 "Uses the internet"
label define internet8 1"Yes" 0"No", replace
label values internet8 internet8

*Change the coding of car to 0 and 1
recode car1 (1=1) (2=0)
recode car2 (1=1) (2=0)
recode car3 (1=1) (2=0)
recode car4 (1=1) (2=0)
recode car5 (1=1) (2=0)
recode car6 (1=1) (2=0)
recode car7 (1=1) (2=0)
recode car8 (1=1) (2=0)


***************Longitudinal tables*********************
*SL1a marital status by age and sex
*Unweighted crosstab marital status by age and sex
table marital4 agegrp_w4 sex4 if marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=., contents(freq) col
*Weighted cross-tab marital status by age and sex
tab marital4 agegrp_w4 if sex4==1 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
tab marital4 agegrp_w4 if sex4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab marital5 agegrp_w4 if sex4==1 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
tab marital5 agegrp_w4 if sex4==2 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab marital6 agegrp_w4 if sex4==1 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
tab marital6 agegrp_w4 if sex4==2 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab marital7 agegrp_w4 if sex4==1 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
tab marital7 agegrp_w4 if sex4==2 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab marital8 agegrp_w4 if sex4==1 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
tab marital8 agegrp_w4 if sex4==2 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq

*SL1b marital status by wealth and sex
*Unweighted crosstab marital status by wealth and sex
table marital4 wealth4 sex4 if marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=., contents(freq) col
*Weighted cross-tab marital status by wealth and sex
tab marital4 wealth4 if sex4==1 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
tab marital4 wealth4 if sex4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab marital5 wealth4 if sex4==1 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
tab marital5 wealth4 if sex4==2 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab marital6 wealth4 if sex4==1 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
tab marital6 wealth4 if sex4==2 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab marital7 wealth4 if sex4==1 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
tab marital7 wealth4 if sex4==2 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab marital8 wealth4 if sex4==1 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq
tab marital8 wealth4 if sex4==2 & marital4==2 & marital5!=. & marital6!=. & marital7!=. & marital8!=. [aw=w8w4lwgt], col nofreq


*SL2a internet use by age and sex
*Unweighted cross tab internet by age and sex
tab internet4 agegrp_w4 if sex4==1 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=.
tab internet4 agegrp_w4 if sex4==2 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=.
*Weighted crosstab of those using internet at wave 4 by internet use in each subsequent wave (separate for age and wealth).
*Wave 4
tab internet4 agegrp_w4 if sex4==1 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet4 agegrp_w4 if sex4==2 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab internet5 agegrp_w4 if sex4==1 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet5 agegrp_w4 if sex4==2 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab internet6 agegrp_w4 if sex4==1 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet6 agegrp_w4 if sex4==2 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab internet7 agegrp_w4 if sex4==1 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet7 agegrp_w4 if sex4==2 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab internet8 agegrp_w4 if sex4==1 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet8 agegrp_w4 if sex4==2 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq

*SL2b internet use by wealth and sex
*Unweighted cross tab internet by wealth and sex
tab internet4 wealth4 if sex4==1 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=.
tab internet4 wealth4 if sex4==2 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=.
*Wave 4
tab internet4 wealth4 if sex4==1 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet4 wealth4 if sex4==2 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab internet5 wealth4 if sex4==1 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet5 wealth4 if sex4==2 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab internet6 wealth4 if sex4==1 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet6 wealth4 if sex4==2 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab internet7 wealth4 if sex4==1 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet7 wealth4 if sex4==2 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab internet8 wealth4 if sex4==1 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet8 wealth4 if sex4==2 & internet4==1 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq



*SL2c not using internet by age and sex
*Wave 4
tab internet4 agegrp_w4 if sex4==1 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet4 agegrp_w4 if sex4==2 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab internet5 agegrp_w4 if sex4==1 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet5 agegrp_w4 if sex4==2 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab internet6 agegrp_w4 if sex4==1 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet6 agegrp_w4 if sex4==2 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab internet7 agegrp_w4 if sex4==1 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet7 agegrp_w4 if sex4==2 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab internet8 agegrp_w4 if sex4==1 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet8 agegrp_w4 if sex4==2 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq

*SL2d not using internet by age and sex
*Wave 4
tab internet4 wealth4 if sex4==1 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet4 wealth4 if sex4==2 & internet4!=. & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab internet5 wealth4 if sex4==1 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet5 wealth4 if sex4==2 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab internet6 wealth4 if sex4==1 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet6 wealth4 if sex4==2 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab internet7 wealth4 if sex4==1 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet7 wealth4 if sex4==2 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab internet8 wealth4 if sex4==1 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq
tab internet8 wealth4 if sex4==2 & internet4==0 & internet5!=. & internet6!=. & internet7!=. & internet8!=. [aw=w8w4lwgt], col nofreq



*SL3a holidays by age and sex
*Unweighted cross tab holidays by age and sex
tab holidays4 agegrp_w4 if sex4==1 & holidays4!=. & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=.
tab holidays4 agegrp_w4 if sex4==2 & holidays4!=. & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. 
*Weighted crosstabs
*Wave 4
tab holidays4 agegrp_w4 if sex4==1 & holidays4!=. & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
tab holidays4 agegrp_w4 if sex4==2 & holidays4!=. & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab holidays5 agegrp_w4 if sex4==1 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
tab holidays5 agegrp_w4 if sex4==2 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab holidays6 agegrp_w4 if sex4==1 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
tab holidays6 agegrp_w4 if sex4==2 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab holidays7 agegrp_w4 if sex4==1 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
tab holidays7 agegrp_w4 if sex4==2 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab holidays8 agegrp_w4 if sex4==1 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
tab holidays8 agegrp_w4 if sex4==2 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq

*SL3b holidays by wealth and sex
*Unweighted cross tab holidays by wealth and sex
tab holidays4 wealth4 if sex4==1 & holidays4!=. & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=.
tab holidays4 wealth4 if sex4==2 & holidays4!=. & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=.
*Weighted crosstabs
*Wave 4
tab holidays4 wealth4 if sex4==1 & holidays4!=. & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
tab holidays4 wealth4 if sex4==2 & holidays4!=. & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab holidays5 wealth4 if sex4==1 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
tab holidays5 wealth4 if sex4==2 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab holidays6 wealth4 if sex4==1 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
tab holidays6 wealth4 if sex4==2 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab holidays7 wealth4 if sex4==1 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
tab holidays7 wealth4 if sex4==2 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab holidays8 wealth4 if sex4==1 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq
tab holidays8 wealth4 if sex4==2 & holidays4==1 & holidays5!=. & holidays6!=. & holidays7!=. & holidays8!=. [aw=w8w4lwgt], col nofreq


*SL4a public transport by age and sex
*Unweighted cross tab transport by age and sex
tab transport4 agegrp_w4 if sex4==1 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=.
tab transport4 agegrp_w4 if sex4==2 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=.
*Weighted crosstabs
*Age
*Wave 4
tab transport4 agegrp_w4 if sex4==1 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport4 agegrp_w4 if sex4==2 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab transport5 agegrp_w4 if sex4==1 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport5 agegrp_w4 if sex4==2 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab transport6 agegrp_w4 if sex4==1 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport6 agegrp_w4 if sex4==2 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab transport7 agegrp_w4 if sex4==1 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport7 agegrp_w4 if sex4==2 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab transport8 agegrp_w4 if sex4==1 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport8 agegrp_w4 if sex4==2 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq

*SL4b public transport by wealth and sex
*Unweighted cross tab transport by wealth and sex
tab transport4 wealth4 if sex4==1 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=. 
tab transport4 wealth4 if sex4==2 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=. 
*Weighted crosstabs
*Wave 4
tab transport4 wealth4 if sex4==1 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport4 wealth4 if sex4==2 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab transport5 wealth4 if sex4==1 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport5 wealth4 if sex4==2 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab transport6 wealth4 if sex4==1 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport6 wealth4 if sex4==2 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab transport7 wealth4 if sex4==1 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport7 wealth4 if sex4==2 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab transport8 wealth4 if sex4==1 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport8 wealth4 if sex4==2 & transport4==1 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq



*SL4c not using public transport by age and sex
*Wave 4
tab transport4 agegrp_w4 if sex4==1 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport4 agegrp_w4 if sex4==2 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab transport5 agegrp_w4 if sex4==1 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport5 agegrp_w4 if sex4==2 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab transport6 agegrp_w4 if sex4==1 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport6 agegrp_w4 if sex4==2 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab transport7 agegrp_w4 if sex4==1 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport7 agegrp_w4 if sex4==2 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab transport8 agegrp_w4 if sex4==1 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport8 agegrp_w4 if sex4==2 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq

*SL4d not using public transport by wealth and sex
*Wave 4
tab transport4 wealth4 if sex4==1 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport4 wealth4 if sex4==2 & transport4!=. & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab transport5 wealth4 if sex4==1 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport5 wealth4 if sex4==2 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab transport6 wealth4 if sex4==1 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport6 wealth4 if sex4==2 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab transport7 wealth4 if sex4==1 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport7 wealth4 if sex4==2 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab transport8 wealth4 if sex4==1 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq
tab transport8 wealth4 if sex4==2 & transport4==0 & transport5!=. & transport6!=. & transport7!=. & transport8!=. [aw=w8w4lwgt], col nofreq


*SL5a private transport access by age and sex
*Unweighted cross tab car by age and sex
tab car4 agegrp_w4 if sex4==1 & car4!=. & car5!=. & car6!=. & car7!=. & car8!=.
tab car4 agegrp_w4 if sex4==2 & car4!=. & car5!=. & car6!=. & car7!=. & car8!=. 
*Weighted crosstabs
*Wave 4
tab car4 agegrp_w4 if sex4==1 & car4!=. & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
tab car4 agegrp_w4 if sex4==2 & car4!=. & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab car5 agegrp_w4 if sex4==1 & car4==1 & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
tab car5 agegrp_w4 if sex4==2 & car4==1 & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab car6 agegrp_w4 if sex4==1 & car4==1 & car5!=. & car3!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
tab car6 agegrp_w4 if sex4==2 & car4==1 & car5!=. & car3!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab car7 agegrp_w4 if sex4==1 & car4==1 & car5!=. & car3!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
tab car7 agegrp_w4 if sex4==2 & car4==1 & car5!=. & car3!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab car8 agegrp_w4 if sex4==1 & car4==1 & car5!=. & car3!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
tab car8 agegrp_w4 if sex4==2 & car4==1 & car5!=. & car3!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq

*SL5b private transport use by wealth and sex
*Unweighted cross tab car by wealth and sex
tab car4 wealth4 if sex4==1 & car4!=. & car5!=. & car6!=. & car7!=. & car8!=.
tab car4 wealth4 if sex4==2 & car4!=. & car5!=. & car6!=. & car7!=. & car8!=.
*Weighted crosstabs
*Wave 4
tab car4 wealth4 if sex4==1 & car4!=. & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
tab car4 wealth4 if sex4==2 & car4!=. & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab car5 wealth4 if sex4==1 & car4==1 & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
tab car5 wealth4 if sex4==2 & car4==1 & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab car6 wealth4 if sex4==1 & car4==1 & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
tab car6 wealth4 if sex4==2 & car4==1 & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab car7 wealth4 if sex4==1 & car4==1 & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
tab car7 wealth4 if sex4==2 & car4==1 & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab car8 wealth4 if sex4==1 & car4==1 & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq
tab car8 wealth4 if sex4==2 & car4==1 & car5!=. & car6!=. & car7!=. & car8!=. [aw=w8w4lwgt], col nofreq

*SL6a volunteering by age and sex
*Unweighted cross tab volunteer by age and se
tab volunteer4 agegrp_w4 if sex4==1 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. 
tab volunteer4 agegrp_w4 if sex4==2 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=.
*Weighted crosstabs
*Wave 4
tab volunteer4 agegrp_w4 if sex4==1 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer4 agegrp_w4 if sex4==2 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab volunteer5 agegrp_w4 if sex4==1 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer5 agegrp_w4 if sex4==2 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab volunteer6 agegrp_w4 if sex4==1 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer6 agegrp_w4 if sex4==2 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab volunteer7 agegrp_w4 if sex4==1 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer7 agegrp_w4 if sex4==2 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab volunteer8 agegrp_w4 if sex4==1 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer8 agegrp_w4 if sex4==2 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq

*SL6b volunteering by wealth and sex
*Unweighted cross tab volunteer by wealth and sex
tab volunteer4 wealth4 if sex4==1 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=.
tab volunteer4 wealth4 if sex4==2 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=.
*Weighted crosstabs
*Wave 4
tab volunteer4 wealth4 if sex4==1 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer4 wealth4 if sex4==2 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab volunteer5 wealth4 if sex4==1 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer5 wealth4 if sex4==2 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab volunteer6 wealth4 if sex4==1 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer6 wealth4 if sex4==2 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab volunteer7 wealth4 if sex4==1 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer7 wealth4 if sex4==2 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab volunteer8 wealth4 if sex4==1 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer8 wealth4 if sex4==2 & volunteer4==1 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq



*SL6c not volunteering by age and sex
*Weighted crosstabs
*Wave 4
tab volunteer4 agegrp_w4 if sex4==1 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer4 agegrp_w4 if sex4==2 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab volunteer5 agegrp_w4 if sex4==1 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer5 agegrp_w4 if sex4==2 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab volunteer6 agegrp_w4 if sex4==1 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer6 agegrp_w4 if sex4==2 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab volunteer7 agegrp_w4 if sex4==1 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer7 agegrp_w4 if sex4==2 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab volunteer8 agegrp_w4 if sex4==1 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer8 agegrp_w4 if sex4==2 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq

*SL6d not volunteering by wealth and sex
*Weighted crosstabs
*Wave 4
tab volunteer4 wealth4 if sex4==1 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer4 wealth4 if sex4==2 & volunteer4!=. & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab volunteer5 wealth4 if sex4==1 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer5 wealth4 if sex4==2 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab volunteer6 wealth4 if sex4==1 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer6 wealth4 if sex4==2 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab volunteer7 wealth4 if sex4==1 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer7 wealth4 if sex4==2 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab volunteer8 wealth4 if sex4==1 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq
tab volunteer8 wealth4 if sex4==2 & volunteer4==0 & volunteer5!=. & volunteer6!=. & volunteer7!=. & volunteer8!=. [aw=w8w4lwgt], col nofreq




*SL7a not providing care by age and sex
*Unweighted cross tab care by age and sex
tab care4 agegrp_w4 if sex4==1 & care4!=. & care5!=. & care6!=. & care7!=. & care8!=.
tab care4 agegrp_w4 if sex4==2 & care4!=. & care5!=. & care6!=. & care7!=. & care8!=.
*Weighted crosstabs
*Wave 4
tab care4 agegrp_w4 if sex4==1 & care4!=. & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
tab care4 agegrp_w4 if sex4==2 & care4!=. & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab care5 agegrp_w4 if sex4==1 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
tab care5 agegrp_w4 if sex4==2 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab care6 agegrp_w4 if sex4==1 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
tab care6 agegrp_w4 if sex4==2 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab care7 agegrp_w4 if sex4==1 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
tab care7 agegrp_w4 if sex4==2 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab care8 agegrp_w4 if sex4==1 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
tab care8 agegrp_w4 if sex4==2 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq

*SL7b not providing care by wealth and sex
*Unweighted cross tab care by wealth and sex
tab care4 wealth4 if sex4==1 & care4!=. & care5!=. & care6!=. & care7!=. & care8!=. 
tab care4 wealth4 if sex4==2 & care4!=. & care5!=. & care6!=. & care7!=. & care8!=. 
*Weighted crosstabs
*Wave 4
tab care4 wealth4 if sex4==1 & care4!=. & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
tab care4 wealth4 if sex4==2 & care4!=. & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
*Wave 5
tab care5 wealth4 if sex4==1 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
tab care5 wealth4 if sex4==2 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
*Wave 6
tab care6 wealth4 if sex4==1 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
tab care6 wealth4 if sex4==2 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
*Wave 7
tab care7 wealth4 if sex4==1 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
tab care7 wealth4 if sex4==2 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
*Wave 8
tab care8 wealth4 if sex4==1 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq
tab care8 wealth4 if sex4==2 & care4==0 & care5!=. & care6!=. & care7!=. & care8!=. [aw=w8w4lwgt], col nofreq















